package com.JN.service.impl;

import com.JN.mapper.EmployeeMapper;
import com.JN.service.EmployeeService;
import com.baomidou.dynamic.datasource.annotation.DS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName EmployeeServiceImpl
 * @Description 查询员工信息接口实现
 * @Author JIAL
 * @Date 2024/1/16 10:56
 * @Version 1.0
 */

@Service
public class EmployeeServiceImpl implements EmployeeService {

    @Autowired
    EmployeeMapper employeeMapper;

    /**
     * @title queryNameById
     * @description 根据工号查询姓名
     * @author JIAL
     * @param: id
     * @updateTime 2024/1/16 11:12
     * @return: java.lang.String
     */
    @DS("slave_1")
    @Override
    public String queryNameById(String id) {
        return employeeMapper.queryNameById(id);
    }
}
